For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Profile

How to get a user profile

GET https://mburger.cloud/api/profile

curl https://mburger.cloud/api/profile
 -H "Accept: application/json" 
 -H "Content-Type: application/x-www-form-urlencoded" 
 -H "X-MBurger-Token: " 
 -H "X-MBurger-Version: 3" 
 -H "Authorization: Bearer"

Parameters

This API has no parameters.

When successful, a HTTP 200 and JSON like this is returned:

{
  "status_code": 0,
  "body": {
    "id": 1,
    "name": "Name",
    "surname": "Surname",
    "email": "name.surname@mail.com",
    "fb_id": null,
    "auth_mode": "email",
    "data": [],
    "stripe_id": null,
    "card_brand": null,
    "card_last_four": null,
    "trial_ends_at": null,
    "subscriptions": [],
    "purchases": [],
    "published_sections": [],
    "contracts": []
  }  
}

Last updated